﻿@model RealEstate.Models.PropertyIndexModel

@{
    ViewBag.Title = "Property List";
    Layout = "~/Views/Shared/_Layout.cshtml";
}



<ul class="nav nav-tabs mt-5" role="tablist">
    <li class="nav-item active">
        <a class="nav-link" href="#dvprojectprop" role="tab" data-toggle="tab">Project Property</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="#dvresellerprop" role="tab" data-toggle="tab">Reseller Property</a>
    </li>
</ul>

<!-- Tab panes -->
<div class="tab-content">
    <!-- ---------------------------------------  project Property-------------------------------- -->


    <div role="tabpanel" class="tab-pane fade active in" id="dvprojectprop">
        @if (Model.IsAdmin)
        {
            <div class="project">
                <div class="row" style="margin-top:1em;">
                    <div class="col-sm-12">
                        <table id="example3" class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Project Name</th>
                                    <th>Project Title</th>
                                    <th>Property Linked</th>
                                    <th>Images</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model.Project.OrderBy(x => x.Id))
                                {
                                    <tr>
                                        <td>@item.ProjectName</td>
                                        <td>@item.ProjectTitle</td>
                                        <td>@item.Properties.Count</td>
                                        <td>@item.Project_Images.Count</td>
                                        <td>
                                            <span title="Edit"><a href="/Project/ViewProject/@item.Id"><i class="fas fa-eye"></i></a></span> |
                                            <span title="Edit"><a href="/Project/AddEditProject/@item.Id"><i class="fas fa-edit"></i></a></span>

                                            @if (item.Properties.Count == 0)
                                            {
                                                <span>|</span> <span title="Delete"><a href="/Project/DeleteProject/@item.Id"><i class="fas fa-trash-alt"></i></a></span>
                                            }
                                        </td>
                                    </tr>
                                }
                            </tbody>

                        </table>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <span style="margin-left:35em"><a class="btn btn-primary" href="~/Project/AddEditProject">Add Project</a></span>
                    </div>
                </div>
            </div>
        }

        <div class="property mt-5">
            <div class="row" style="margin-top:1em;">
                <div class="col-sm-12">
                    <table id="example" class="table table-striped">
                        <thead>
                            <tr>
                                <th>Property Title</th>
                                <th>Project Name</th>
                                <th>Price</th>
                                <th>Property Type</th>
                                <th>Current Status</th>
                                <th>Images</th>
                                <th>IsApproved</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.ProjectProperty.OrderByDescending(x => x.Id))
                            {
                                <tr>
                                    <td>@item.Title</td>
                                    <td>@item.MA_Project.ProjectName</td>
                                    <td>@item.Price</td>
                                    <td>@item.MA_ConfigFilter4.FilterName</td>
                                    <td>@item.MA_ConfigFilter5.FilterName</td>
                                    <td>@item.Property_Images.Count</td>
                                    <td>@item.IsApproved</td>
                                    <td>
                                        <span title="Edit"><a href="/Property/ViewProperty/@item.Id"><i class="fas fa-eye"></i></a></span> |
                                        <span title="Edit"><a href="/Property/AddEditProperty?id=@item.Id&IsProjectProperty=true"><i class="fas fa-edit"></i></a></span> |
                                        <span title="Delete"><a href="/Property/DeleteProperty/@item.Id"><i class="fas fa-trash-alt"></i></a></span>

                                        @if ((Session["user"] as RealEstate.Models.API.Account.Responce_Auth_Model).IsAdmin)
                                        {
                                            var cls = item.IsApproved ? "far fa-times-circle" : "fas fa-thumbs-up";
                                            var title = item.IsApproved ? "Reject" : "Approve";
                                            <span>|</span> <span title="@title"><a href="/Property/ApproveRejectProperty/@item.Id"><i class="@cls"></i></a></span>
                                        }
                                    </td>
                                </tr>
                            }
                        </tbody>

                    </table>
                </div>
            </div>

            @if (Model.IsAdmin)
            {
                <div class="row">
                    <div class="col-sm-12">
                        <span style="margin-left:35em"><a class="btn btn-primary" href="~/Property/AddEditProperty?id=0&IsProjectProperty=true">Add Property</a></span>
                    </div>
                </div>
            }

        </div>
    </div>



    <!-- ---------------------------------------  Reseller Property-------------------------------- -->

    <div role="tabpanel" class="tab-pane fade" id="dvresellerprop">
        <div class="row" style="margin-top:1em;">
            <div class="col-sm-12">
                <table id="example1" class="table table-striped">
                    <thead>
                        <tr>
                            <th>Property Title</th>
                            @*<th>Project Name</th>*@

                            <th>Price</th>
                            <th>Property Type</th>
                            <th>Current Status</th>
                            <th>Images</th>
                            <th>IsApproved</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in Model.ResellerProperty.OrderByDescending(x => x.Id))
                        {
                            <tr>
                                <td>@item.Title</td>
                                @*<td>@item.MA_Project.ProjectName</td>*@

                                <td>@item.Price</td>
                                <td>@item.MA_ConfigFilter4.FilterName</td>
                                <td>@item.MA_ConfigFilter5.FilterName</td>
                                <td>@item.Property_Images.Count</td>
                                <td>@item.IsApproved</td>
                                <td>
                                    <span title="Edit"><a href="/Property/ViewProperty/@item.Id"><i class="fas fa-eye"></i></a></span> |
                                    <span title="Edit"><a href="/Property/AddEditProperty?id=@item.Id&IsProjectProperty=false"><i class="fas fa-edit"></i></a></span> |
                                    <span title="Delete"><a href="/Property/DeleteProperty/@item.Id"><i class="fas fa-trash-alt"></i></a></span>

                                    @if ((Session["user"] as RealEstate.Models.API.Account.Responce_Auth_Model).IsAdmin)
                                    {
                                        var cls = item.IsApproved ? "far fa-times-circle" : "fas fa-thumbs-up";
                                        var title = item.IsApproved ? "Reject" : "Approve";
                                        <span>|</span> <span title="@title"><a href="/Property/ApproveRejectProperty/@item.Id"><i class="@cls"></i></a></span>
                                    }

                                </td>
                            </tr>
                        }
                    </tbody>

                </table>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <span style="margin-left:35em"><a class="btn btn-primary" href="~/Property/AddEditProperty?id=0&IsProjectProperty=false">Add Property</a></span>
            </div>
        </div>
    </div>

</div>






@section Scripts
{
    <script type="text/javascript">
        $(document).ready(function () {
            $('#example,#example1,#example3').DataTable({
                "pagingType": "full_numbers"
            });
        });
    </script>
}




